<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscObjectRegisterDestroyAll</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscObjectRegisterDestroyAll"><H1>PetscObjectRegisterDestroyAll</H1></A>
Frees all the PETSc objects that have been registered with <A HREF="../Sys/PetscObjectRegisterDestroy.html#PetscObjectRegisterDestroy">PetscObjectRegisterDestroy</A>(). Called by <A HREF="../Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>() <A HREF="../Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>() is called. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"    
PetscErrorCode PETSC_DLLEXPORT PetscObjectRegisterDestroyAll(void)
</PRE>
Collective on individual PetscObjects
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscObjectRegisterDestroy.html#PetscObjectRegisterDestroy">PetscObjectRegisterDestroy</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/destroy.c.html#PetscObjectRegisterDestroyAll">src/sys/objects/destroy.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
